Subject: Re: bug#4298: .egg files could open in archive-mode by default

From: Juri Linkov <[email-masked]>
Date: Mon, 31 Aug 2009 22:02:49 +0300

> It would be nice if Emacs could open these files in archive-mode by
> default, either by adding an entry for the file extension ".egg" to
> auto-mode-alist, or by adding a suitable pattern for ZIP files to
> magic-fallback-mode-alist.
>
> (Perhaps this suggestion will become moot when libmagic is integrated
> into Emacs.)

Emacs should support this regardless of the libmagic presence.

Could you please try to open an .egg file in the latest CVS.

-- 
Juri Linkov
http://www.jurta.org/emacs/